## SoupCutter SoupCutter — HTTP supported Cutter with libsoup. |

## Types and Values

#define | SOUPCUTTER_ENABLED

## Description

SoupCutter adds many useful HTTP related features based on libsoup to Cutter. If you want to write tests for HTTP, it's good idea that you consider SoupCutter to be used too.

It's easy to use SoupCutter. You just include <soupcuttter.h> instead of <cutter.h> or <gcutter.h> and use soupcutter-pixbuf.pc instead of cutter.pc or gcutter.pc:

test-xxx.c:

    1
    2
    -#include <cutter.h>
    +#include <soupcutter.h>

configure.ac:

    1
    2
    -AC_CHECK_CUTTER
    +AC_CHECK_SOUPCUTTER

Makefile.am:

    1
    2
    3
    4
    -XXX_CFLAGS = $(CUTTER_CFLAGS)
    -XXX_LIBS = $(CUTTER_LIBS)
    +XXX_CFLAGS = $(SOUPCUTTER_CFLAGS)
    +XXX_LIBS = $(SOUPCUTTER_LIBS)

## Functions

## Types and Values

### SOUPCUTTER_ENABLED

    #define SOUPCUTTER_ENABLED 1

Defined when SoupCutter is enabled.

Since: 1.0.8

## See Also

Assertions for HTTP client/server based on libsoup